%bcond_without pcre

Name:           pdfgrep
Summary:        search in pdf files for strings matching a regular expression
Version:        2.2.0
Release:        %mkrel 1
Group:          Publishing
License:        GPLv3
URL:            https://pdfgrep.org/
Source0:        https://pdfgrep.org/download/%{name}-%{version}.tar.gz
%if %{with pcre}
BuildRequires:  pkgconfig(libpcre2-8)
%endif
BuildRequires:  pkgconfig(poppler)
BuildRequires:  pkgconfig(poppler-cpp)
BuildRequires:  pkgconfig(libgcrypt)
BuildRequires:  asciidoc

%description
Pdfgrep is a tool to search text in PDF files. It works similar to grep.
Features:
- search for regular expressions.
- support for some important grep options, including:
  o filename output
  o page number output
  o optional case insensitivity
  o count occurrences
- and the most important feature: color output!

%prep
%autosetup -p1

%build
%configure %{!?with_pcre:--without-libpcre}
%make_build

%install
%make_install

%files
%doc NEWS.md AUTHORS
%license COPYING
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/pdfgrep
%{_datadir}/zsh/site-functions/_pdfgrep
%{_mandir}/man1/%{name}.1*


%changelog
* Tue Mar 26 2024 daviddavid <daviddavid> 2.2.0-1.mga9
+ Revision: 2052205
- new version: 2.2.0 (mga#33017)
- re-enable pcre support now ported to pcre2

* Sun Apr 16 2023 daviddavid <daviddavid> 2.1.2-4.mga9
+ Revision: 1953105
- disable old pcre support in Mageia 9 (mga#31791)

* Wed Mar 16 2022 danf <danf> 2.1.2-3.mga9
+ Revision: 1794881
- Add BuildRequires: pkgconfig(libpcre)

* Sat Feb 15 2020 umeabot <umeabot> 2.1.2-2.mga8
+ Revision: 1527677
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Jul 23 2019 tv <tv> 2.1.2-1.mga8
+ Revision: 1423553
- new release

* Thu Nov 01 2018 tv <tv> 2.1.1-1.mga7
+ Revision: 1327072
- new release

* Sun Sep 23 2018 umeabot <umeabot> 2.0.1-2.mga7
+ Revision: 1300150
- Mageia 7 Mass Rebuild

* Mon Jul 17 2017 tv <tv> 2.0.1-1.mga7
+ Revision: 1124383
- BR libgcrypt-devel
- new release

* Mon Nov 28 2016 luigiwalser <luigiwalser> 1.4.1-3.mga6
+ Revision: 1070639
- rebuild for poppler

* Sat Aug 13 2016 luigiwalser <luigiwalser> 1.4.1-2.mga6
+ Revision: 1046194
- test rebuild for poppler

* Sat Feb 20 2016 tv <tv> 1.4.1-1.mga6
+ Revision: 972352
- new release

* Tue Feb 16 2016 umeabot <umeabot> 1.4.0-2.mga6
+ Revision: 962001
- Mageia 6 Mass Rebuild

* Fri Sep 04 2015 tv <tv> 1.4.0-1.mga6
+ Revision: 872715
- new release

* Fri Aug 28 2015 cjw <cjw> 1.3.2-2.mga6
+ Revision: 870408
- rebuild with gcc 5

* Tue Jun 23 2015 tv <tv> 1.3.2-1.mga6
+ Revision: 840306
- adjust file list
- adjust file list
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.3.1-3.mga5
+ Revision: 744734
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.1-2.mga5
+ Revision: 683385
- Mageia 5 Mass Rebuild

* Sat Aug 16 2014 tv <tv> 1.3.1-1.mga5
+ Revision: 663998
- new release

* Fri Oct 18 2013 umeabot <umeabot> 1.3.0-4.mga4
+ Revision: 508915
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.3.0-3.mga3
+ Revision: 362679
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 28 2012 malo <malo> 1.3.0-2.mga3
+ Revision: 310915
- fix RPM group

* Mon Oct 08 2012 tv <tv> 1.3.0-1.mga3
+ Revision: 303559
- imported package pdfgrep


* Sun Oct 07 2012 Thierry Vignaud <tv@mageia.org> 1.3.0-1.mga3
- initial package

